Skip to navigation

Create Connect OAuth configuration

View as Markdown

Creates a new OAuth for Docusign Connect configuration for an organization with the definition provided in the API call body. See Enable OAuth for Connect for an example.

Required scopes: connect_org_oauth_write_api

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The GUID ID of the organization within which the OAuth configuration will be created.

Request

This endpoint expects an object: configuration

authorizationServerUrlstringOptionalformat: "uri"
clientIdstringOptional
clientSecretstringOptional
scopestringOptional
customParametermap from strings to stringsOptional

Response

OK
authorizationServerUrlstringOptionalformat: "uri"
clientIdstringOptional
clientSecretstringOptional
scopestringOptional
customParametermap from strings to stringsOptional